summaryrefslogtreecommitdiffstats
path: root/bin/genpkg
diff options
context:
space:
mode:
Diffstat (limited to 'bin/genpkg')
-rwxr-xr-xbin/genpkg10
1 files changed, 3 insertions, 7 deletions
diff --git a/bin/genpkg b/bin/genpkg
index afd1f49..e17b984 100755
--- a/bin/genpkg
+++ b/bin/genpkg
@@ -40,15 +40,11 @@ do
METABIN=$libd/metas PKGVAR=$vard makepkgmeta "$pkg" >PKGMETA
case $? in
- 1) cd ..
- rm -r "$pkgd/$pkg"
- echo "$prog: aborting." 1>&2
- exit 1
+ 0) echo "Generated $pkgd/$pkg/PKGMETA" ;;
+ *) exit $?
esac
- echo "Generated $pkgd/$pkg/PKGMETA"
-
- twk=$libd/tweakd/$pkg
+ twk=$tweakd/$pkg
if [ -f "$twk" -a -r "$twk" ]
then
if ! tweakmeta >PKGMETA.new <$twk